Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PhotoSize

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PhotoSize

Enclosing class:
  TdApi

public static final class TdApi.PhotoSize extends TdApi.Object
Describes an image in JPEG format.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`height`
Image height.
`TdApi.File`
`photo`
Information about the image file.
`int[]`
`progressiveSizes`
Sizes of progressive JPEG file prefixes, which can be used to preliminarily show the image; in bytes.
`String`
`type`
Image type (see https://core.telegram.org/constructor/photoSize).
`int`
`width`
Image width.

## Constructor Summary

Constructors
Constructor
Description
`PhotoSize()`
Describes an image in JPEG format.
`PhotoSize(DataInput input)`
Describes an image in JPEG format.
`PhotoSize(String type, TdApi.File photo, int width, int height, int[] progressiveSizes)`
Describes an image in JPEG format.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public String type
Image type (see https://core.telegram.org/constructor/photoSize).

### photo

public TdApi.File photo
Information about the image file.

### width

public int width
Image width.

### height

public int height
Image height.

### progressiveSizes

public int[] progressiveSizes
Sizes of progressive JPEG file prefixes, which can be used to preliminarily show the image; in bytes.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PhotoSize

public PhotoSize()
Describes an image in JPEG format.

### PhotoSize

public PhotoSize(String type, TdApi.File photo, int width, int height, int[] progressiveSizes)
Describes an image in JPEG format.

Parameters:
  `type` - Image type (see https://core.telegram.org/constructor/photoSize).
  `photo` - Information about the image file.
  `width` - Image width.
  `height` - Image height.
  `progressiveSizes` - Sizes of progressive JPEG file prefixes, which can be used to preliminarily show the image; in bytes.

### PhotoSize

public PhotoSize(DataInput input) throws IOException
Describes an image in JPEG format.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`